Subject: Re: [rtcweb] #17: Section 6.1: Support for NACK

From: Colin Perkins <[email-masked]>
Date: Mon, 6 May 2013 23:40:17 +0100

On 20 Apr 2013, at 02:32, rtcweb issue tracker wrote:
> #17: Section 6.1: Support for NACK
> 
> Senders are REQUIRED to understand the Generic NACK message defined
>    in Section 6.2.1 of [RFC4585], but MAY choose to ignore this feedback
>    (following Section 4.2 of [RFC4585]).
> 
> [BA] What does it mean to "understand" the generic NACK message? Are we
> only asking that an implementation not crash if it receives such a
> message?  Or does this mean that support for NACK needs to be declared in "rtcp-fb" attributes?

I think: doesn't crash or misbehave if it receives such a message, even if it has not signalled support, but may ignore the feedback. If it can respond meaningfully to NACK feedback, needs to declare it in a=rtcp-fb: attributes. If this makes sense, I'll clarify the text.

> If an implementation can "understand" NACK, and declare support in SDP but then ignore the feedback, what does this achieve?

Nothing, except some wasted NACKs. It's legal, but pointless. 

Colin

> -- 
> -------------------------------------+-------------------------------------
> Reporter:                           |      Owner:  draft-ietf-rtcweb-rtp-
>  [email-masked]          |  [email-masked]
>     Type:  defect                   |     Status:  new
> Priority:  major                    |  Milestone:  milestone1
> Component:  rtp-usage                |    Version:  1.0
> Severity:  Active WG Document       |   Keywords:
> -------------------------------------+-------------------------------------
> 
> Ticket URL: <https://tools.ietf.org/wg/rtcweb/trac/ticket/17>
> rtcweb <http://tools.ietf.org/rtcweb/>
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

-- 
Colin Perkins
http://csperkins.org/